aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMark Hatle <mark.hatle@windriver.com>2018-10-12 11:47:21 -0400
committerMark Hatle <mark.hatle@windriver.com>2018-10-12 12:11:55 -0400
commit68b79b376b06576063d88064b4258663b0ac7501 (patch)
treec25e2d24e2cce37385605236f4ee065cc10454d3
parent990c806d6747a4d40668a95dde4c70d70fb75541 (diff)
downloadprelink-cross-68b79b376b06576063d88064b4258663b0ac7501.tar.gz
prelink-cross-68b79b376b06576063d88064b4258663b0ac7501.tar.bz2
prelink-cross-68b79b376b06576063d88064b4258663b0ac7501.zip
testsuite/order.sh: Make it clear what the error is
Many host ld.so seem to have a broken 'depth-first' search, not 'breadth-first' as required by the ELF spec. See: http://refspecs.linuxbase.org/elf/gabi4+/ch5.dynamic.html Signed-off-by: Mark Hatle <mark.hatle@windriver.com>
-rw-r--r--ChangeLog3
-rwxr-xr-xtestsuite/order.sh6
2 files changed, 8 insertions, 1 deletions
diff --git a/ChangeLog b/ChangeLog
index 8acac09..420f69b 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,4 +1,7 @@
2018-10-12 Mark Hatle <mark.hatle@windriver.com>
+ * testsuite/order.sh: Explain failure in log
+
+2018-10-12 Mark Hatle <mark.hatle@windriver.com>
* testsuite/reloc12.sh: Detect if compiler/linker support test
2018-10-12 Robert Yang <liezhi.yang@windriver.com>
diff --git a/testsuite/order.sh b/testsuite/order.sh
index a9c79ff..48cd8e5 100755
--- a/testsuite/order.sh
+++ b/testsuite/order.sh
@@ -22,7 +22,11 @@ echo $PRELINK ${PRELINK_OPTS--vm} ./order >> order.log
$RUN_HOST $PRELINK ${PRELINK_OPTS--vm} ./order >> order.log 2>&1 || exit 2
grep -q ^`echo $PRELINK | sed 's/ .*$/: /'` order.log && exit 3
if [ "x$CROSS" = "x" ]; then
- $RUN LD_LIBRARY_PATH=. ./order >> order.log || exit 4
+ $RUN LD_LIBRARY_PATH=. ./order >> order.log
+ if [ $? -ne 0 ]; then
+ echo "ERROR: Dynamic linker is resolving depth first, not breadth first"
+ exit 4
+ fi
fi
# So that it is not prelinked again
chmod -x ./order